import i18n from "i18next";

const AuditTrailMapping = {
  jobstatuschange: (status) =>
    i18n.t("audit_trail.messages.jobstatuschange", { status }),
  admin_jobstatuschange: (status) =>
    "ADMIN: " + i18n.t("audit_trail.messages.jobstatuschange", { status }),
  jobsupplement: () => i18n.t("audit_trail.messages.jobsupplement"),
  jobimported: () => i18n.t("audit_trail.messages.jobimported"),
  jobconverted: (ro_number) =>
    i18n.t("audit_trail.messages.jobconverted", { ro_number }),
  jobfieldchange: (field, value) =>
    i18n.t("audit_trail.messages.jobfieldchanged", { field, value }),
  admin_jobfieldchange: (field, value) =>
    "ADMIN: " +
    i18n.t("audit_trail.messages.jobfieldchanged", { field, value }),
  jobspartsorder: (order_number) =>
    i18n.t("audit_trail.messages.jobspartsorder", { order_number }),
  jobspartsreturn: (order_number) =>
    i18n.t("audit_trail.messages.jobspartsreturn", { order_number }),
  jobmodifylbradj: ({ mod_lbr_ty, hours }) =>
    i18n.t("audit_trail.messages.jobmodifylbradj", { mod_lbr_ty, hours }),
  billposted: (invoice_number) =>
    i18n.t("audit_trail.messages.billposted", { invoice_number }),
  billupdated: (invoice_number) =>
    i18n.t("audit_trail.messages.billupdated", { invoice_number }),
  jobassignmentchange: (operation, name) =>
    i18n.t("audit_trail.messages.jobassignmentchange", { operation, name }),
  jobassignmentremoved: (operation) =>
    i18n.t("audit_trail.messages.jobassignmentremoved", { operation }),
  jobinproductionchange: (inproduction) =>
    i18n.t("audit_trail.messages.jobinproductionchange", { inproduction }),
  jobchecklist: (type, inproduction, status) =>
    i18n.t("audit_trail.messages.jobchecklist", { type, inproduction, status }),
  jobnoteadded: () => i18n.t("audit_trail.messages.jobnoteadded"),
  jobnoteupdated: () => i18n.t("audit_trail.messages.jobnoteupdated"),
  jobnotedeleted: () => i18n.t("audit_trail.messages.jobnotedeleted"),
  admin_jobunvoid: () => i18n.t("audit_trail.messages.admin_jobunvoid"),
  admin_jobmarkforreexport: () =>
    i18n.t("audit_trail.messages.admin_jobmarkforreexport"),
  admin_jobmarkexported: () =>
    i18n.t("audit_trail.messages.admin_jobmarkexported"),

};

export default AuditTrailMapping;
